"use strict";

var __decorate = this && this.__decorate || function (decorators, target, key, desc) {
  var c = arguments.length,
      r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
      d;
  if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
  return c > 3 && r && Object.defineProperty(target, key, r), r;
};

var __metadata = this && this.__metadata || function (k, v) {
  if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};

var __param = this && this.__param || function (paramIndex, decorator) {
  return function (target, key) {
    decorator(target, key, paramIndex);
  };
};

var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LoggerProvider = void 0;
/*!
 * Copyright (c) Microsoft. All rights reserved.
 * Licensed under the MIT license. See LICENSE file in the project.
 */

const pino_1 = __importDefault(require("pino"));

const tsyringe_1 = require("tsyringe");

const injectors_1 = require("../injectors");

let LoggerProvider = class LoggerProvider {
  constructor(_config) {
    this._config = _config;
    this._logger = (0, pino_1.default)({
      serializers: {
        err: pino_1.default.stdSerializers.err,
        error: pino_1.default.stdSerializers.err
      },
      prettyPrint: this._config.loggingPretty ? {
        levelFirst: true
      } : undefined
    });
  }

  get() {
    return this._logger;
  }

};
LoggerProvider = __decorate([(0, tsyringe_1.singleton)(), __param(0, (0, tsyringe_1.inject)(injectors_1.BaseInjectorNames.Configuration)), __metadata("design:paramtypes", [Object])], LoggerProvider);
exports.LoggerProvider = LoggerProvider;