"use strict";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.injectCommon = void 0;

const __1 = require("..");
/**
 * Inject Boilerplace Components
 * @param container the DI container
 * @param baseRegisters container registers for base injectors
 */


function injectCommon(container, baseRegisters) {
  const registers = _objectSpread(_objectSpread({}, baseRegisters), {}, {
    [__1.BaseInjectorNames.AppBuilder]: baseRegisters.AppBuilder || ((container, token) => {
      container.register(token, {
        useClass: __1.AppBuilder
      });
    }),
    [__1.BaseInjectorNames.Logger]: baseRegisters.AppBuilder || ((container, token) => {
      container.register(token, {
        useValue: container.resolve(__1.LoggerProvider).get()
      });
    })
  });

  registers.Configuration(container, __1.BaseInjectorNames.Configuration);
  registers.Logger(container, __1.BaseInjectorNames.Logger);
  registers.Schema(container, __1.BaseInjectorNames.Schema);
  registers.RequestContextProviders(container, __1.BaseInjectorNames.RequestContextProviders);
  registers.AppContext(container, __1.BaseInjectorNames.AppContext);
  registers.AppBuilder(container, __1.BaseInjectorNames.AppBuilder);
}

exports.injectCommon = injectCommon;