/*!
 * Copyright (c) Microsoft. All rights reserved.
 * Licensed under the MIT license. See LICENSE file in the project.
 */
import { Logger } from 'pino';
import { AppBuilder, PreRunCb, IBuiltAppContext } from '../app';
import { IBaseConfiguration } from '../configuration';
export declare class Server<Configuration extends IBaseConfiguration, Components, Context extends IBuiltAppContext<Configuration, Components>, RequestContext> {
    private _configuration;
    private _appBuilder;
    private _logger;
    constructor(_configuration: Configuration, _appBuilder: AppBuilder<Configuration, Components, Context, RequestContext>, _logger: Logger);
    start(preRun?: PreRunCb): Promise<void>;
}
