/*!
 * Copyright (c) Microsoft. All rights reserved.
 * Licensed under the MIT license. See LICENSE file in the project.
 */
import { FastifyRequest } from 'fastify';
import { IAuthenticator, IBaseConfiguration, IRequestAppContext, RequestContextProvider } from '..';
export interface IdentityRequestContext<Identity> {
    identity: Identity | null;
}
export declare type Transformer<T> = (value: T) => T;
export declare const stripBearerPrefix: Transformer<string | null>;
export declare class IdentityRequestContextProvider<Configuration extends IBaseConfiguration, Components extends {
    authenticator: IAuthenticator<unknown, Identity>;
}, RequestContext extends IdentityRequestContext<Identity>, Identity> implements RequestContextProvider<Configuration, Components, RequestContext> {
    private _headerName;
    private _headerTransformer;
    constructor(headerName?: string, headerTransformer?: Transformer<string | null>);
    apply(ctx: IRequestAppContext<Configuration, Components, RequestContext>, request: FastifyRequest): Promise<Partial<RequestContext>>;
}
