/*!
 * Copyright (c) Microsoft. All rights reserved.
 * Licensed under the MIT license. See LICENSE file in the project.
 */
import { DependencyContainer } from 'tsyringe';
import { BaseInjectorNames } from '..';
export declare type ContainerRegister = (container: DependencyContainer, token: BaseInjectorNames) => void;
export interface BaseRegisters {
    [BaseInjectorNames.Configuration]: ContainerRegister;
    [BaseInjectorNames.Schema]: ContainerRegister;
    [BaseInjectorNames.RequestContextProviders]: ContainerRegister;
    [BaseInjectorNames.AppContext]: ContainerRegister;
    [BaseInjectorNames.Logger]?: ContainerRegister;
    [BaseInjectorNames.AppBuilder]?: ContainerRegister;
}
/**
 * Inject Boilerplace Components
 * @param container the DI container
 * @param baseRegisters container registers for base injectors
 */
export declare function injectCommon(container: DependencyContainer, baseRegisters: BaseRegisters): void;
